package com.jasamedika.medifirst2000.vo;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.helper.Caption;

public class MappingCycleLaundryVO extends BaseTransactionVO {

	private static final long serialVersionUID = 7458262775207117053L;

	@ManyToOne
	@JoinColumn(name = "ObjectMappingCycleFk")
	private MappingCycleVO mappingCycle;

	@ManyToOne
	@JoinColumn(name = "ObjectNamaBahanFk")
	private ProdukVO namaBahan;

	@Column(name = "Jumlah", nullable = false)
	@Caption(value = "Jumlah")
	private Integer jumlah;

	@ManyToOne
	@JoinColumn(name = "ObjectSatuanFk")
	private SatuanStandarVO satuan;

	public SatuanStandarVO getSatuan() {
		return satuan;
	}

	public void setSatuan(SatuanStandarVO satuan) {
		this.satuan = satuan;
	}

	public MappingCycleVO getMappingCycle() {
		return mappingCycle;
	}

	public void setMappingCycle(MappingCycleVO mappingCycle) {
		this.mappingCycle = mappingCycle;
	}

	public ProdukVO getNamaBahan() {
		return namaBahan;
	}

	public void setNamaBahan(ProdukVO namaBahan) {
		this.namaBahan = namaBahan;
	}

	public Integer getJumlah() {
		return jumlah;
	}

	public void setJumlah(Integer jumlah) {
		this.jumlah = jumlah;
	}

}
